### Class

# WPEPlatformHeadless ViewHeadless

#### Description

    final class WPEPlatformHeadless.ViewHeadless : WPEPlatform.View
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- WPEView
- GObject

#### Constructors

###### wpe_view_headless_new

Create a new `WPEViewHeadless`.

#### Instance methods

##### Methods inherited from WPEView (32)

Please see WPEView for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from WPEView (10)

###### WPEPlatform.View:display

The `WPEDisplay` of the view.

###### WPEPlatform.View:has-focus

Whether the view has the keyboard focus.

###### WPEPlatform.View:height

The view height in logical coordinates.

###### WPEPlatform.View:mapped

Whether the view is mapped or not. A view is mapped when `WPEView:visible` is `TRUE` and it’s not hidden for other reasons, like for example when its toplevel is minimized. This is a readonly property that can be used to monitor when a `WPEView` is shown or hidden.

###### WPEPlatform.View:scale

The view scale.

###### WPEPlatform.View:screen

The current `WPEScreen` of the view.

###### WPEPlatform.View:toplevel

The `WPEToplevel` of the view.

###### WPEPlatform.View:toplevel-state

The view’s toplevel state.

###### WPEPlatform.View:visible

Whether the view should be visible or not. This property can be used to show or hide a view, but setting to `TRUE` (which is the default) doesn’t mean it will always be shown, because the visbility also depends on the status of its toplevel (for example if the toplevel is minimized the view will be hidden). To know whether the view is actually visible, you can check `WPEView:mapped` property.

###### WPEPlatform.View:width

The view width in logical coordinates.

#### Signals

##### Signals inherited from WPEView (7)

###### WPEView::buffer-released

Emitted to notify that the buffer is no longer used by the view and can be destroyed or reused.

###### WPEView::buffer-rendered

Emitted to notify that the buffer has been rendered in the view.

###### WPEView::closed

Emitted when `view` has been closed.

###### WPEView::event

Emitted when an input event is received on `view`.

###### WPEView::preferred-dma-buf-formats-changed

Emitted when the list of preferred DMA-BUF formats has changed. This can happen whe the `view` becomes a candidate for scanout.

###### WPEView::resized

Emitted when `view` is resized.

###### WPEView::toplevel-state-changed

Emitted when `view`‘s toplevel state changes.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WPEPlatformHeadlessViewHeadlessClass {
      WPEViewClass parent_class;

    }

No description available.

###### Class members

`parent_class: WPEViewClass`

  No description available.